/*
  Copyright 2007-2020 Guillaume Hanrot, Vincent Lefèvre, Damien Stehlé 
  and Paul Zimmermann.

  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful, 
  but WITHOUT ANY WARRANTY; without even the implied warranty of 
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public 
  License along with this program; see the file COPYING.  If not, 
  write to the Free Software Foundation, Inc., 59 Temple Place - 
  Suite 330, Boston, MA 02111-1307, USA.
*/

#ifdef EXP
#include "exp.h"
#endif

#ifdef COS
#define SIN_OR_COS
#include "cos.h"
#endif

#ifdef SIN
#define SIN_OR_COS
#include "sin.h"
#endif

#ifdef HALL
#include "hall.h"
#endif

#ifdef LN
#include "ln.h"
#endif

#ifdef LOG2
#include "log2.h"
#endif

#ifdef SQRT
#include "sqroot.h"
#endif

#ifdef SQRTINVERT
#include "sqrtinvert.h"
#endif

#ifdef TWOTOX
#include "twotox.h"
#endif

#ifdef SINBIG
#include "sinbig.h"
#endif

#ifdef ONEOVERX
#include "oneoverx.h"
#endif

#ifdef SQROOT
#include "sqroot.h"
#endif
